menuconfig BR2_PACKAGE_GST_PLUGINS_BASE
	bool "gst-plugins-base"
	depends on BR2_PACKAGE_GSTREAMER
	help
	  A basic set of well-supported plug-ins for GStreamer.

	  http://gstreamer.freedesktop.org/

if BR2_PACKAGE_GST_PLUGINS_BASE

comment "dependency-less plugins"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_ADDER
	bool "adder"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_APP
	bool "app"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_AUDIOCONVERT
	bool "audioconvert"
	default y

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_AUDIORATE
	bool "audiorate"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_AUDIORESAMPLE
	bool "audioresample"
	default y

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_AUDIOTESTSRC
	bool "audiotestsrc"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_FFMPEGCOLORSPACE
	bool "ffmpegcolorspace"
	default y

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_GDP
	bool "gdp"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_PLAYBACK
	bool "playback (mandatory)"
	default y

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_SPEEXRESAMPLE
	bool "speexresample"
	default y

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_SUBPARSE
	bool "subparse"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_TCP
	bool "tcp"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_TYPEFIND
	bool "typefind (mandatory)"
	default y

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_VIDEOTESTSRC
	bool "videotestsrc"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_VIDEORATE
	bool "videorate"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_VIDEOSCALE
	bool "videoscale"
	default y

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_VOLUME
	bool "volume"
	default y

comment "plugins with external dependencies (there may be more available)"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_ALSA
	bool "alsa"
	select BR2_PACKAGE_ALSA_LIB
	select BR2_PACKAGE_ALSA_UTILS

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_OGG
	bool "ogg (*.ogg audio/video)"
	select BR2_PACKAGE_LIBOGG

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_THEORA
	bool "theora (*.ogg video)"
	select BR2_PACKAGE_LIBTHEORA

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_VORBIS
	bool "vorbis (*.ogg audio)"
	select BR2_PACKAGE_LIBVORBIS

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_VIDEO4LINUX
	bool "video4linux"

config BR2_PACKAGE_GST_PLUGINS_BASE_PLUGIN_GIO
	bool "gio"

comment "Control what gets installed to rootfs"

config BR2_PACKAGE_GST_PLUGINS_BASE_GSTAUDIO
	bool "gstaudio"
	default y
	help
	  Install the libgstaudio library (required by AVI)

config BR2_PACKAGE_GST_PLUGINS_BASE_GSTVIDEO
	bool "gstvideo"
	default y
	help
	  Install the libgstvideo library (required by platform)

config BR2_PACKAGE_GST_PLUGINS_BASE_GSTINTERFACES
	bool "gstinterfaces"
	default y
	help
	  Install the libgstinterfaces library (required by all Demuxes)

config BR2_PACKAGE_GST_PLUGINS_BASE_GSTNETBUFFER
	bool "gstnetbuffer"
	default y
	help
	  Install the libgstnetbuffer (required by RTP/RTSP etc)

config BR2_PACKAGE_GST_PLUGINS_BASE_GSTPBUTILS
	bool "gstpbutils"
	default y
	help
	  Install the libgstnpbutils library (required by platform)

config BR2_PACKAGE_GST_PLUGINS_BASE_GSTRIFF
	bool "gstriff"
	default y
	help
	  Install the libgstaudio library (required by AVI)

config BR2_PACKAGE_GST_PLUGINS_BASE_GSTRTP
	bool "gstrtp"
	default y
	help
	  Install the libgstrtp library (RTP software - Required by QTdemux)

config BR2_PACKAGE_GST_PLUGINS_BASE_GSTRTSP
	bool "gstrtsp"
	default y
	help
	  Install the libgstrtsp (RTSP software)

config BR2_PACKAGE_GST_PLUGINS_BASE_GSTSDP
	bool "gstsdp"
	default y
	help
	  Install the libgstsdp library

config BR2_PACKAGE_GST_PLUGINS_BASE_GSTTAG
	bool "gsttag"
	default y
	help
	  Install the libgsttag library.

endif

